`timescale 100ps / 10ps

module ddr_dq_io_64 (/*AUTOARG*/
   // Outputs
   ddr_dq_i, 
   // Inouts
   ddr_dq, 
   // Inputs
   ddr_dq_o, ddr_dq_t
   );
   inout  [63:0]   ddr_dq;
   input  [63:0]   ddr_dq_o;
   output [63:0]   ddr_dq_i;
   input  [63:0]    ddr_dq_t;

   IOBUF_SSTL2_II dq0  (.I(ddr_dq_o[0]), .IO(ddr_dq[0]), .O(ddr_dq_i[0]), .T(ddr_dq_t[0]));
   IOBUF_SSTL2_II dq1  (.I(ddr_dq_o[1]), .IO(ddr_dq[1]), .O(ddr_dq_i[1]), .T(ddr_dq_t[1]));
   IOBUF_SSTL2_II dq2  (.I(ddr_dq_o[2]), .IO(ddr_dq[2]), .O(ddr_dq_i[2]), .T(ddr_dq_t[2]));
   IOBUF_SSTL2_II dq3  (.I(ddr_dq_o[3]), .IO(ddr_dq[3]), .O(ddr_dq_i[3]), .T(ddr_dq_t[3]));
   IOBUF_SSTL2_II dq4  (.I(ddr_dq_o[4]), .IO(ddr_dq[4]), .O(ddr_dq_i[4]), .T(ddr_dq_t[4]));
   IOBUF_SSTL2_II dq5  (.I(ddr_dq_o[5]), .IO(ddr_dq[5]), .O(ddr_dq_i[5]), .T(ddr_dq_t[5]));
   IOBUF_SSTL2_II dq6  (.I(ddr_dq_o[6]), .IO(ddr_dq[6]), .O(ddr_dq_i[6]), .T(ddr_dq_t[6]));
   IOBUF_SSTL2_II dq7  (.I(ddr_dq_o[7]), .IO(ddr_dq[7]), .O(ddr_dq_i[7]), .T(ddr_dq_t[7]));
   IOBUF_SSTL2_II dq8  (.I(ddr_dq_o[8]), .IO(ddr_dq[8]), .O(ddr_dq_i[8]), .T(ddr_dq_t[8]));
   IOBUF_SSTL2_II dq9  (.I(ddr_dq_o[9]), .IO(ddr_dq[9]), .O(ddr_dq_i[9]), .T(ddr_dq_t[9]));
   IOBUF_SSTL2_II dq10  (.I(ddr_dq_o[10]), .IO(ddr_dq[10]), .O(ddr_dq_i[10]), .T(ddr_dq_t[10]));
   IOBUF_SSTL2_II dq11  (.I(ddr_dq_o[11]), .IO(ddr_dq[11]), .O(ddr_dq_i[11]), .T(ddr_dq_t[11]));
   IOBUF_SSTL2_II dq12  (.I(ddr_dq_o[12]), .IO(ddr_dq[12]), .O(ddr_dq_i[12]), .T(ddr_dq_t[12]));
   IOBUF_SSTL2_II dq13  (.I(ddr_dq_o[13]), .IO(ddr_dq[13]), .O(ddr_dq_i[13]), .T(ddr_dq_t[13]));
   IOBUF_SSTL2_II dq14  (.I(ddr_dq_o[14]), .IO(ddr_dq[14]), .O(ddr_dq_i[14]), .T(ddr_dq_t[14]));
   IOBUF_SSTL2_II dq15  (.I(ddr_dq_o[15]), .IO(ddr_dq[15]), .O(ddr_dq_i[15]), .T(ddr_dq_t[15]));
   IOBUF_SSTL2_II dq16  (.I(ddr_dq_o[16]), .IO(ddr_dq[16]), .O(ddr_dq_i[16]), .T(ddr_dq_t[16]));
   IOBUF_SSTL2_II dq17  (.I(ddr_dq_o[17]), .IO(ddr_dq[17]), .O(ddr_dq_i[17]), .T(ddr_dq_t[17]));
   IOBUF_SSTL2_II dq18  (.I(ddr_dq_o[18]), .IO(ddr_dq[18]), .O(ddr_dq_i[18]), .T(ddr_dq_t[18]));
   IOBUF_SSTL2_II dq19  (.I(ddr_dq_o[19]), .IO(ddr_dq[19]), .O(ddr_dq_i[19]), .T(ddr_dq_t[19]));
   IOBUF_SSTL2_II dq20  (.I(ddr_dq_o[20]), .IO(ddr_dq[20]), .O(ddr_dq_i[20]), .T(ddr_dq_t[20]));
   IOBUF_SSTL2_II dq21  (.I(ddr_dq_o[21]), .IO(ddr_dq[21]), .O(ddr_dq_i[21]), .T(ddr_dq_t[21]));
   IOBUF_SSTL2_II dq22  (.I(ddr_dq_o[22]), .IO(ddr_dq[22]), .O(ddr_dq_i[22]), .T(ddr_dq_t[22]));
   IOBUF_SSTL2_II dq23  (.I(ddr_dq_o[23]), .IO(ddr_dq[23]), .O(ddr_dq_i[23]), .T(ddr_dq_t[23]));
   IOBUF_SSTL2_II dq24  (.I(ddr_dq_o[24]), .IO(ddr_dq[24]), .O(ddr_dq_i[24]), .T(ddr_dq_t[24]));
   IOBUF_SSTL2_II dq25  (.I(ddr_dq_o[25]), .IO(ddr_dq[25]), .O(ddr_dq_i[25]), .T(ddr_dq_t[25]));
   IOBUF_SSTL2_II dq26  (.I(ddr_dq_o[26]), .IO(ddr_dq[26]), .O(ddr_dq_i[26]), .T(ddr_dq_t[26]));
   IOBUF_SSTL2_II dq27  (.I(ddr_dq_o[27]), .IO(ddr_dq[27]), .O(ddr_dq_i[27]), .T(ddr_dq_t[27]));
   IOBUF_SSTL2_II dq28  (.I(ddr_dq_o[28]), .IO(ddr_dq[28]), .O(ddr_dq_i[28]), .T(ddr_dq_t[28]));
   IOBUF_SSTL2_II dq29  (.I(ddr_dq_o[29]), .IO(ddr_dq[29]), .O(ddr_dq_i[29]), .T(ddr_dq_t[29]));
   IOBUF_SSTL2_II dq30  (.I(ddr_dq_o[30]), .IO(ddr_dq[30]), .O(ddr_dq_i[30]), .T(ddr_dq_t[30]));
   IOBUF_SSTL2_II dq31  (.I(ddr_dq_o[31]), .IO(ddr_dq[31]), .O(ddr_dq_i[31]), .T(ddr_dq_t[31]));
   IOBUF_SSTL2_II dq32  (.I(ddr_dq_o[32]), .IO(ddr_dq[32]), .O(ddr_dq_i[32]), .T(ddr_dq_t[32]));
   IOBUF_SSTL2_II dq33  (.I(ddr_dq_o[33]), .IO(ddr_dq[33]), .O(ddr_dq_i[33]), .T(ddr_dq_t[33]));
   IOBUF_SSTL2_II dq34  (.I(ddr_dq_o[34]), .IO(ddr_dq[34]), .O(ddr_dq_i[34]), .T(ddr_dq_t[34]));
   IOBUF_SSTL2_II dq35  (.I(ddr_dq_o[35]), .IO(ddr_dq[35]), .O(ddr_dq_i[35]), .T(ddr_dq_t[35]));
   IOBUF_SSTL2_II dq36  (.I(ddr_dq_o[36]), .IO(ddr_dq[36]), .O(ddr_dq_i[36]), .T(ddr_dq_t[36]));
   IOBUF_SSTL2_II dq37  (.I(ddr_dq_o[37]), .IO(ddr_dq[37]), .O(ddr_dq_i[37]), .T(ddr_dq_t[37]));
   IOBUF_SSTL2_II dq38  (.I(ddr_dq_o[38]), .IO(ddr_dq[38]), .O(ddr_dq_i[38]), .T(ddr_dq_t[38]));
   IOBUF_SSTL2_II dq39  (.I(ddr_dq_o[39]), .IO(ddr_dq[39]), .O(ddr_dq_i[39]), .T(ddr_dq_t[39]));
   IOBUF_SSTL2_II dq40  (.I(ddr_dq_o[40]), .IO(ddr_dq[40]), .O(ddr_dq_i[40]), .T(ddr_dq_t[40]));
   IOBUF_SSTL2_II dq41  (.I(ddr_dq_o[41]), .IO(ddr_dq[41]), .O(ddr_dq_i[41]), .T(ddr_dq_t[41]));
   IOBUF_SSTL2_II dq42  (.I(ddr_dq_o[42]), .IO(ddr_dq[42]), .O(ddr_dq_i[42]), .T(ddr_dq_t[42]));
   IOBUF_SSTL2_II dq43  (.I(ddr_dq_o[43]), .IO(ddr_dq[43]), .O(ddr_dq_i[43]), .T(ddr_dq_t[43]));
   IOBUF_SSTL2_II dq44  (.I(ddr_dq_o[44]), .IO(ddr_dq[44]), .O(ddr_dq_i[44]), .T(ddr_dq_t[44]));
   IOBUF_SSTL2_II dq45  (.I(ddr_dq_o[45]), .IO(ddr_dq[45]), .O(ddr_dq_i[45]), .T(ddr_dq_t[45]));
   IOBUF_SSTL2_II dq46  (.I(ddr_dq_o[46]), .IO(ddr_dq[46]), .O(ddr_dq_i[46]), .T(ddr_dq_t[46]));
   IOBUF_SSTL2_II dq47  (.I(ddr_dq_o[47]), .IO(ddr_dq[47]), .O(ddr_dq_i[47]), .T(ddr_dq_t[47]));
   IOBUF_SSTL2_II dq48  (.I(ddr_dq_o[48]), .IO(ddr_dq[48]), .O(ddr_dq_i[48]), .T(ddr_dq_t[48]));
   IOBUF_SSTL2_II dq49  (.I(ddr_dq_o[49]), .IO(ddr_dq[49]), .O(ddr_dq_i[49]), .T(ddr_dq_t[49]));
   IOBUF_SSTL2_II dq50  (.I(ddr_dq_o[50]), .IO(ddr_dq[50]), .O(ddr_dq_i[50]), .T(ddr_dq_t[50]));
   IOBUF_SSTL2_II dq51  (.I(ddr_dq_o[51]), .IO(ddr_dq[51]), .O(ddr_dq_i[51]), .T(ddr_dq_t[51]));
   IOBUF_SSTL2_II dq52  (.I(ddr_dq_o[52]), .IO(ddr_dq[52]), .O(ddr_dq_i[52]), .T(ddr_dq_t[52]));
   IOBUF_SSTL2_II dq53  (.I(ddr_dq_o[53]), .IO(ddr_dq[53]), .O(ddr_dq_i[53]), .T(ddr_dq_t[53]));
   IOBUF_SSTL2_II dq54  (.I(ddr_dq_o[54]), .IO(ddr_dq[54]), .O(ddr_dq_i[54]), .T(ddr_dq_t[54]));
   IOBUF_SSTL2_II dq55  (.I(ddr_dq_o[55]), .IO(ddr_dq[55]), .O(ddr_dq_i[55]), .T(ddr_dq_t[55]));
   IOBUF_SSTL2_II dq56  (.I(ddr_dq_o[56]), .IO(ddr_dq[56]), .O(ddr_dq_i[56]), .T(ddr_dq_t[56]));
   IOBUF_SSTL2_II dq57  (.I(ddr_dq_o[57]), .IO(ddr_dq[57]), .O(ddr_dq_i[57]), .T(ddr_dq_t[57]));
   IOBUF_SSTL2_II dq58  (.I(ddr_dq_o[58]), .IO(ddr_dq[58]), .O(ddr_dq_i[58]), .T(ddr_dq_t[58]));
   IOBUF_SSTL2_II dq59  (.I(ddr_dq_o[59]), .IO(ddr_dq[59]), .O(ddr_dq_i[59]), .T(ddr_dq_t[59]));
   IOBUF_SSTL2_II dq60  (.I(ddr_dq_o[60]), .IO(ddr_dq[60]), .O(ddr_dq_i[60]), .T(ddr_dq_t[60]));
   IOBUF_SSTL2_II dq61  (.I(ddr_dq_o[61]), .IO(ddr_dq[61]), .O(ddr_dq_i[61]), .T(ddr_dq_t[61]));
   IOBUF_SSTL2_II dq62  (.I(ddr_dq_o[62]), .IO(ddr_dq[62]), .O(ddr_dq_i[62]), .T(ddr_dq_t[62]));
   IOBUF_SSTL2_II dq63  (.I(ddr_dq_o[63]), .IO(ddr_dq[63]), .O(ddr_dq_i[63]), .T(ddr_dq_t[63]));

endmodule
