default: top.db

controller.db: ../src/controller.v
	dc_shell -f controller.dc > controller.log
	-grep -i error controller.log

data_path.db: ../src/data_path.v
	dc_shell -f data_path.dc > data_path.log
	-grep -i error data_path.log

brst_cntr.db: ../src/brst_cntr.v
	dc_shell -f brst_cntr.dc > brst_cntr.log
	-grep -i error brst_cntr.log

rcd_cntr.db: ../src/rcd_cntr.v
	dc_shell -f rcd_cntr.dc > rcd_cntr.log
	-grep -i error rcd_cntr.log

cslt_cntr.db: ../src/cslt_cntr.v
	dc_shell -f cslt_cntr.dc > cslt_cntr.log
	-grep -i error cslt_cntr.log

addr_latch.db: ../src/addr_latch.v
	dc_shell -f addr_latch.dc > addr_latch.log
	-grep -i error addr_latch.log

top.db: controller.db data_path.db addr_latch.db brst_cntr.db cslt_cntr.db rcd_cntr.db ../src/top.v ../src/user_int.v ../src/ddr_ctlr.v ../src/clk_dlls.v
	dc_shell -f top.dc > top.log
	-grep -i error top.log
